Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 157)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 161)
@@ -411,17 +730,166 @@
       end if
    end do  
-   
-   if (combine .EQ. 1) then
-      data_o=new((/m,end_time_step,dimz/),float)
-      data_o!0 = "e"
-      legend_label_oplot=new(m*(nt-1),string)
-      mini=new(m,float)
-      maxi=new(m,float)
-      e=-1
-   end if  
-
-   do varn = 0, dim-1   
-     
-      if ( isStrSubset( vNam(varn), "NORM") .or. isStrSubset( vNam(varn), "time") )
+ 
+   data   = new((/dim,(end_time_step-start_time_step)+1,dimz/),float) 
+   data_0 = new((/(end_time_step-start_time_step)+1,dimz/),float)
+   data_0 = 0.0
+   t      = new((/(end_time_step-start_time_step)+1,dimz/),float) 
+   t      = 0.0
+   unit   = new(dim,string)
+
+   if (over .EQ. 1) then 
+      plot_u         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniu = 1.E27
+      maxiu =-1.E27
+      plot_v         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniv = 1.E27
+      maxiv =-1.E27
+      plot_w         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniw = 1.E27
+      maxiw =-1.E27
+      plot_pt        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minipt = 1.E27
+      maxipt =-1.E27
+      plot_vpt       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minivpt = 1.E27
+      maxivpt =-1.E27
+      plot_lpt       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minilpt = 1.E27
+      maxilpt =-1.E27
+      plot_q         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniq = 1.E27
+      maxiq =-1.E27
+      plot_qv        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniqv = 1.E27
+      maxiqv =-1.E27
+      plot_ql        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniql = 1.E27
+      maxiql =-1.E27
+      plot_rho       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_s         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_sa        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_e         = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minie = 1.E27
+      maxie =-1.E27
+      plot_es        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minie = 1.E27
+      maxie =-1.E27
+      plot_km        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minie = 1.E27
+      maxie =-1.E27
+      plot_kh        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minie = 1.E27
+      maxie =-1.E27
+      plot_l         = gsn_csm_xy(wks,t,data_0(:,:),res)     
+      plot_wpup      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpup = 1.E27
+      maxiwpup =-1.E27
+      plot_wsus      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsus = 1.E27
+      maxiwsus =-1.E27
+      plot_wu        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwu = 1.E27
+      maxiwu =-1.E27
+      plot_wpvp      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpvp = 1.E27
+      maxiwpvp =-1.E27
+      plot_wsvs      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsvs = 1.E27
+      maxiwsvs =-1.E27
+      plot_wv        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwv = 1.E27
+      maxiwv =-1.E27
+      plot_wpptp     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpptp = 1.E27
+      maxiwpptp =-1.E27
+      plot_wspts     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwspts = 1.E27
+      maxiwspts =-1.E27
+      plot_wpt       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpt = 1.E27
+      maxiwpt =-1.E27
+      plot_wsptsBC   = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsptsBC = 1.E27
+      maxiwsptsBC =-1.E27 
+      plot_wptBC     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwptBC = 1.E27
+      maxiwptBC =-1.E27 
+      plot_wpvptp    = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpvptp = 1.E27
+      maxiwpvptp =-1.E27
+      plot_wsvpts    = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsvpts = 1.E27
+      maxiewsvpts=-1.E27
+      plot_wvpt      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwvpt = 1.E27
+      maxiwvpt =-1.E27 
+      plot_wpqp      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpqp = 1.E27
+      maxiwpqp =-1.E27
+      plot_wsqs      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsqs = 1.E27
+      maxiwsqs =-1.E27
+      plot_wq        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwq = 1.E27
+      maxiwq =-1.E27 
+      plot_wpqvp     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpqvp = 1.E27
+      maxiwpqvp =-1.E27
+      plot_wsqvs     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsqvs = 1.E27
+      maxiwsqvs =-1.E27
+      plot_wqv       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwqv = 1.E27
+      maxiwqv =-1.E27
+      plot_wpsp      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpsp = 1.E27
+      maxiwpsp =-1.E27
+      plot_wsss      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsss = 1.E27
+      maxiwsss =-1.E27
+      plot_ws        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniws = 1.E27
+      maxiws =-1.E27
+      plot_wpsap     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpsap = 1.E27
+      maxiwpsap =-1.E27
+      plot_wssas     = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwssas = 1.E27
+      maxiwssas =-1.E27 
+      plot_wsa       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsa = 1.E27
+      maxiwsa =-1.E27
+      plot_wses      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_us2       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minius2 = 1.E27
+      maxius2 =-1.E27
+      plot_vs2       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      minivs2 = 1.E27
+      maxivs2 =-1.E27
+      plot_ws2       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniws2 = 1.E27
+      maxiws2 =-1.E27
+      plot_pts2      = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_ws3       = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_Sw        = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_ws2pts    = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_wspts2    = gsn_csm_xy(wks,t,data_0(:,:),res)
+      plot_wsususodz = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwsususodz = 1.E27
+      maxiwsususodz =-1.E27
+      plot_wspsodz   = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwspsodz = 1.E27
+      maxiwspsodz =-1.E27
+      plot_wpeodz    = gsn_csm_xy(wks,t,data_0(:,:),res)
+      miniwpeodz = 1.E27
+      maxiwpeodz =-1.E27
+   end if
+ 
+   n_o=0
+   do varn = 0,dim-1 
+        
+      temp = f->$vNam(varn)$
+      
+      if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
          check = False
       else
